/**
 * Fonctions de dessin
 */
// ligne
function drawLine(x1, y1, x2, y2, strokeColor, lineWidth) {
	context.strokeStyle = strokeColor;
	context.lineWidth = lineWidth;
	context.beginPath(); 
	context.moveTo(x1, y1);
	context.lineTo(x2, y2);
	context.stroke(); 
	context.closePath(); 
}

// rectangle
function drawRectangle(x, y, w, h, fillColor) {
	context.fillStyle = fillColor;
  	context.fillRect(x, y, w, h);
}

// carrŽ
function drawSquare(x, y, a, fillColor) {
	context.fillStyle = fillColor;
  	context.fillRect(x, y, a, a);
}

// cercle
function drawCircle(x, y, r, fillColor, strokeColor) {
	context.fillStyle = fillColor;
	context.strokeStyle = strokeColor;
	context.beginPath();
  	context.arc(x, y, r, 0, Math.PI * 2, true);
  	context.closePath();
  	context.stroke();
  	context.fill();
}

function drawText(text, x, y) {
	context.fillStyle = "black";
	context.font = "14px sans-serif";
	context.textBaseline = "top";
	context.fillText(text, x, y);
	//context.strokeText(text, x, y);
}
